## AgsLinearInterpolateUtil

AgsLinearInterpolateUtil — util functions to linear interpolate

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsLinearInterpolateUtil * | ags_linear_interpolate_util_alloc ()
gpointer | ags_linear_interpolate_util_copy ()
void | ags_linear_interpolate_util_free ()
gpointer | ags_linear_interpolate_util_get_source ()
void | ags_linear_interpolate_util_set_source ()
guint | ags_linear_interpolate_util_get_source_stride ()
void | ags_linear_interpolate_util_set_source_stride ()
gpointer | ags_linear_interpolate_util_get_destination ()
void | ags_linear_interpolate_util_set_destination ()
guint | ags_linear_interpolate_util_get_destination_stride ()
void | ags_linear_interpolate_util_set_destination_stride ()
guint | ags_linear_interpolate_util_get_buffer_length ()
void | ags_linear_interpolate_util_set_buffer_length ()
guint | ags_linear_interpolate_util_get_format ()
void | ags_linear_interpolate_util_set_format ()
guint | ags_linear_interpolate_util_get_samplerate ()
void | ags_linear_interpolate_util_set_samplerate ()
gdouble | ags_linear_interpolate_util_get_factor ()
void | ags_linear_interpolate_util_set_factor ()
void | ags_linear_interpolate_util_pitch_s8 ()
void | ags_linear_interpolate_util_pitch_s16 ()
void | ags_linear_interpolate_util_pitch_s24 ()
void | ags_linear_interpolate_util_pitch_s32 ()
void | ags_linear_interpolate_util_pitch_s64 ()
void | ags_linear_interpolate_util_pitch_float ()
void | ags_linear_interpolate_util_pitch_double ()
void | ags_linear_interpolate_util_pitch_complex ()
void | ags_linear_interpolate_util_pitch ()

## Types and Values

#define | AGS_LINEAR_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsLinearInterpolateUtil

## Includes

    #include <ags/audio/ags_linear_interpolate_util.h>

## Description

These utility functions allow you to fill linear interpolated data.

## Functions

### ags_linear_interpolate_util_alloc ()

    AgsLinearInterpolateUtil *
    ags_linear_interpolate_util_alloc ();

Allocate AgsLinearInterpolateUtil.

#### Returns

the newly allocated AgsLinearInterpolateUtil

Since: 3.9.7

### ags_linear_interpolate_util_copy ()

    gpointer
    ags_linear_interpolate_util_copy (AgsLinearInterpolateUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsLinearInterpolateUtil |

#### Returns

a pointer of the new AgsLinearInterpolateUtil

Since: 3.9.7

### ags_linear_interpolate_util_free ()

    void
    ags_linear_interpolate_util_free (AgsLinearInterpolateUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_get_source ()

    gpointer
    ags_linear_interpolate_util_get_source
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get source buffer of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the source buffer

Since: 3.9.7

### ags_linear_interpolate_util_set_source ()

    void
    ags_linear_interpolate_util_set_source
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    gpointer source);

Set `source` buffer of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
source | the source buffer. | [transfer none]

Since: 3.9.7

### ags_linear_interpolate_util_get_source_stride ()

    guint
    ags_linear_interpolate_util_get_source_stride
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get source stride of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the source buffer stride

Since: 3.9.7

### ags_linear_interpolate_util_set_source_stride ()

    void
    ags_linear_interpolate_util_set_source_stride
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    guint source_stride);

Set `source` stride of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
source_stride | the source buffer stride |

Since: 3.9.7

### ags_linear_interpolate_util_get_destination ()

    gpointer
    ags_linear_interpolate_util_get_destination
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get destination buffer of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the destination buffer

Since: 3.9.7

### ags_linear_interpolate_util_set_destination ()

    void
    ags_linear_interpolate_util_set_destination
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    gpointer destination);

Set `destination` buffer of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
destination | the destination buffer. | [transfer none]

Since: 3.9.7

### ags_linear_interpolate_util_get_destination_stride ()

    guint
    ags_linear_interpolate_util_get_destination_stride
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get destination stride of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the destination buffer stride

Since: 3.9.7

### ags_linear_interpolate_util_set_destination_stride ()

    void
    ags_linear_interpolate_util_set_destination_stride
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    guint destination_stride);

Set `destination` stride of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
destination_stride | the destination buffer stride |

Since: 3.9.7

### ags_linear_interpolate_util_get_buffer_length ()

    guint
    ags_linear_interpolate_util_get_buffer_length
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get buffer length of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the buffer length

Since: 3.9.7

### ags_linear_interpolate_util_set_buffer_length ()

    void
    ags_linear_interpolate_util_set_buffer_length
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    guint buffer_length);

Set `buffer_length` of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
buffer_length | the buffer length |

Since: 3.9.7

### ags_linear_interpolate_util_get_format ()

    guint
    ags_linear_interpolate_util_get_format
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get format of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the format

Since: 3.9.7

### ags_linear_interpolate_util_set_format ()

    void
    ags_linear_interpolate_util_set_format
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    guint format);

Set `format` of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
format | the format |

Since: 3.9.7

### ags_linear_interpolate_util_get_samplerate ()

    guint
    ags_linear_interpolate_util_get_samplerate
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get samplerate of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the samplerate

Since: 3.9.7

### ags_linear_interpolate_util_set_samplerate ()

    void
    ags_linear_interpolate_util_set_samplerate
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    guint samplerate);

Set `samplerate` of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
samplerate | the samplerate |

Since: 3.9.7

### ags_linear_interpolate_util_get_factor ()

    gdouble
    ags_linear_interpolate_util_get_factor
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Get factor of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

#### Returns

the factor

Since: 3.9.7

### ags_linear_interpolate_util_set_factor ()

    void
    ags_linear_interpolate_util_set_factor
                                   (AgsLinearInterpolateUtil *linear_interpolate_util,
                                    gdouble factor);

Set `factor` of `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |
factor | the factor |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_s8 ()

    void
    ags_linear_interpolate_util_pitch_s8 (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of signed 8 bit data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_s16 ()

    void
    ags_linear_interpolate_util_pitch_s16 (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of signed 16 bit data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_s24 ()

    void
    ags_linear_interpolate_util_pitch_s24 (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of signed 24 bit data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_s32 ()

    void
    ags_linear_interpolate_util_pitch_s32 (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of signed 32 bit data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_s64 ()

    void
    ags_linear_interpolate_util_pitch_s64 (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of signed 64 bit data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_float ()

    void
    ags_linear_interpolate_util_pitch_float
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of floating point data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_double ()

    void
    ags_linear_interpolate_util_pitch_double
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of double precision floating point data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch_complex ()

    void
    ags_linear_interpolate_util_pitch_complex
                                   (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` of complex data.

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

### ags_linear_interpolate_util_pitch ()

    void
    ags_linear_interpolate_util_pitch (AgsLinearInterpolateUtil *linear_interpolate_util);

Pitch `linear_interpolate_util` .

#### Parameters

linear_interpolate_util | the AgsLinearInterpolateUtil |

Since: 3.9.7

## Types and Values

### AGS_LINEAR_UTIL_INITIALIZER

    #define             AGS_LINEAR_UTIL_INITIALIZER